<?php

namespace FM\Service;

use FM\Factory\SensorDeFluxoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class SensorDeFluxoService {

    protected $SensorDeFluxoFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (SensorDeFluxoFactory $SensorDeFluxoFactory, Environment $Environment, NewCode $newCode) {
        $this->SensorDeFluxoFactory = $SensorDeFluxoFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function getSensores(){
        return $this->SensorDeFluxoFactory->getSensores();
    }
    
    
    
    public function Sensores($dados){
        
        $this->SensorDeFluxoFactory->insertDadosSensores(array(
            "NRSEQLEITURA" => $this->newCode->getCodeByTableName("FCM_LEITCONTPESSOAS ", 20, 1, 10, true),
            "IDMACDEVICE" => "teste",
            "IDSENSOR" => $dados["idSensor"], // $dadosJson['idSensor'],
            "QTPESSOASENTR" => $dados["total"], // $dadosJson['total'],
            "IPSENSOR" => $dados["ip"], // $dadosJson['ip'],
            "NRORG" => 20,
            "IDATIVO" => 'S',
            "OBS" => json_encode($dados)
        ));
    }
}

?>